Subject: [PATCH V2 01/10] ARM: PMU: Add runtime PM Support

From: [email-masked] (Jon Hunter)
Date: Thu, 5 Jul 2012 19:40:42 -0500

Hi Will,

On 07/02/2012 05:01 PM, Will Deacon wrote:
> On Mon, Jul 02, 2012 at 05:50:38PM +0100, Jon Hunter wrote:
>> On 07/02/2012 04:55 AM, Will Deacon wrote:
>>>
>>> Did you have any luck getting to the bottom of this?
>>
>> I am still waiting for feedback from design. They were trying to confirm
>> my observations. Unfortunately, it is taking some time. I will ping them
>> again.
> 
> Ok, thanks. If pinging doesn't work, bribery can be quite effective with
> hardware guys :)

Yes looks like I am going to need to get creative :-)

>>> It would be good to take your PMU suspend/resume patches once we know that
>>> they will get used.
>>
>> Yes that would be good. I could drop the 4460 specific changes for now
>> and make 4460 work in the same way as 4430 (using CTI) for the time
>> being and see if we can get these in. However, I recall that was not
>> working for you, but it was working fine for me.
> 
> Indeed, that hack didn't help me and I'd rather not commit it if it only
> partially fixes the problem. A better bet might just be to go with your
> original approach and see how many bug reports we receive. That might also
> help us narrow down the problem, but it's your call.

Ok, I think that that is best.

> In the meantime, I pushed what I think is the latest drop of your series to
> a new branch on kernel.org:
> 
>   git://git.kernel.org/pub/scm/linux/kernel/git/will/linux.git perf/omap4-dev

Looks good.

Cheers
Jon